package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppCheckImageTypeMapper;
import com.ruoyi.model.domain.AppCheckImageType;
import com.ruoyi.model.service.IAppCheckImageTypeService;

/**
 * 打卡图片类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
@Service
public class AppCheckImageTypeServiceImpl implements IAppCheckImageTypeService 
{
    @Autowired
    private AppCheckImageTypeMapper appCheckImageTypeMapper;

    /**
     * 查询打卡图片类型
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 打卡图片类型
     */
    @Override
    public AppCheckImageType selectAppCheckImageTypeByCheckImageTypeId(Long checkImageTypeId)
    {
        return appCheckImageTypeMapper.selectAppCheckImageTypeByCheckImageTypeId(checkImageTypeId);
    }

    /**
     * 查询打卡图片类型列表
     * 
     * @param appCheckImageType 打卡图片类型
     * @return 打卡图片类型
     */
    @Override
    public List<AppCheckImageType> selectAppCheckImageTypeList(AppCheckImageType appCheckImageType)
    {
        return appCheckImageTypeMapper.selectAppCheckImageTypeList(appCheckImageType);
    }

    /**
     * 新增打卡图片类型
     * 
     * @param appCheckImageType 打卡图片类型
     * @return 结果
     */
    @Override
    public int insertAppCheckImageType(AppCheckImageType appCheckImageType)
    {
        appCheckImageType.setCreateTime(DateUtils.getNowDate());
        return appCheckImageTypeMapper.insertAppCheckImageType(appCheckImageType);
    }

    /**
     * 修改打卡图片类型
     * 
     * @param appCheckImageType 打卡图片类型
     * @return 结果
     */
    @Override
    public int updateAppCheckImageType(AppCheckImageType appCheckImageType)
    {
        appCheckImageType.setUpdateTime(DateUtils.getNowDate());
        return appCheckImageTypeMapper.updateAppCheckImageType(appCheckImageType);
    }

    /**
     * 批量删除打卡图片类型
     * 
     * @param checkImageTypeIds 需要删除的打卡图片类型主键
     * @return 结果
     */
    @Override
    public int deleteAppCheckImageTypeByCheckImageTypeIds(Long[] checkImageTypeIds)
    {
        return appCheckImageTypeMapper.deleteAppCheckImageTypeByCheckImageTypeIds(checkImageTypeIds);
    }

    /**
     * 删除打卡图片类型信息
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 结果
     */
    @Override
    public int deleteAppCheckImageTypeByCheckImageTypeId(Long checkImageTypeId)
    {
        return appCheckImageTypeMapper.deleteAppCheckImageTypeByCheckImageTypeId(checkImageTypeId);
    }

    /**
     * 查询打卡图片类型列表
     *
     * @return 打卡图片类型集合
     */
    @Override
    public List<AppCheckImageType> getAppCheckImageTypeList(){
        return appCheckImageTypeMapper.getAppCheckImageTypeList();
    }
}
